<template>
  <div class="facilitator-profile">
    <v-container v-if="!facilitatorProfile" class="text-center pt-10">
      <v-progress-circular
        :size="50"
        color="primary"
        indeterminate
      ></v-progress-circular>
    </v-container>
    <div v-if="facilitatorProfile">
      <div class="banner"></div>
      <v-container>
        <v-row class="profile-image">
          <v-col md="12">
            <v-avatar size="200" :ratio="1">
              <v-img
                :src="
                  facilitatorProfile.imageUrl
                    ? facilitatorProfile.imageUrl
                    : 'https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460_960_720.png'
                "
              ></v-img>
            </v-avatar>
          </v-col>
        </v-row>
      </v-container>
      <v-container class="fill-height">
        <v-row justify="center">
          <v-col md="4" class="profile-left-side">
            <p class="headline pb-0 mb-0">
              {{
                `${facilitatorProfile.firstName} ${facilitatorProfile.lastName}`
                  | capitalize
              }}
            </p>
            <span class="subtitle-2 mb-10">{{
              facilitatorProfile.title | capitalize
            }}</span>
            <li
              v-for="(experience, index) in facilitatorProfile.experiences"
              :key="index"
              class="caption pt-2"
            >
              {{ experience }}
            </li>
            <div class="pt-4">
              <review />
            </div>
            <v-row class="py-4" v-if="user">
              <v-col>
                <v-btn text small class="px-0" @click="follow">
                  <span
                    ><v-icon class="pr-2">{{
                      facilitatorProfile.follow
                        ? 'mdi-heart'
                        : 'mdi-heart-outline'
                    }}</v-icon
                    >{{
                      facilitatorProfile.follow ? 'UnFollow' : 'Follow'
                    }}</span
                  >
                </v-btn>
              </v-col>
              <v-col>
                <ShareNetwork
                  network="facebook"
                  :url="profileUrl"
                  title="Your healing starts with community."
                  description="Join the conversation, Group support online when you need it"
                  quote="As human beings, we share a common thread."
                  hashtags="facilitation,circle,health"
                >
                  <span style="color: black;"
                    ><v-icon class="pr-2">mdi-share-variant</v-icon>Share
                    profile</span
                  >
                </ShareNetwork>
              </v-col>
            </v-row>
            <v-divider />
          </v-col>
          <v-col md="8" class="px-8">
            <v-row>
              <v-col>
                <p class="title">
                  Learn more about
                  {{ facilitatorProfile.firstName | capitalize }}
                </p>
                <p>{{ facilitatorProfile.about }}</p>
              </v-col>
            </v-row>
            <v-divider class="my-10" />
            <v-row>
              <v-col>
                <p class="title">
                  {{ facilitatorProfile.firstName | capitalize }} Circles
                </p>
              </v-col>
            </v-row>
            <v-row>
              <v-col
                v-for="circle in facilitatorProfile.circles"
                :key="circle && circle.id"
                md="4"
              >
                <circle-item :circle="circle" />
              </v-col>
            </v-row>
            <v-divider class="my-10" />
            <v-row>
              <v-col>
                <p class="title">Reviews</p>
                <p class="body-2">No Reviews Found</p>
              </v-col>
            </v-row>
          </v-col>
        </v-row>
      </v-container>
    </div>
  </div>
</template>

<script>
import { mapState } from 'vuex'
import CircleItem from '@/components/Circle/CircleItem'
import Review from '@/components/Shared/Review'

export default {
  name: 'FacilitatorProfile',
  components: {
    CircleItem,
    Review
  },
  data: () => ({
    following: false
  }),
  computed: {
    ...mapState('facilitatorProfile', ['facilitatorProfile']),
    user() {
      return this.$store.state.authentication.user
    },
    profileUrl() {
      return `circlelarity.com${this.$router.currentRoute.fullPath}`
    }
  },
  mounted() {
    this.$store.dispatch(
      'facilitatorProfile/getFacilitatorProfile',
      this.$route.params.id
    )
  },
  destroyed() {
    this.$store.commit('facilitatorProfile/setProfile', null, { root: true })
  },
  methods: {
    follow() {
      if (this.user) {
        if (this.facilitatorProfile.follow === false) {
          this.$store
            .dispatch('follow/followFacilitator', this.$route.params.id)
            .then(() => {})
            .catch(err => console.log(err))
        } else if (this.facilitatorProfile.follow === true) {
          this.$store
            .dispatch('follow/unFollowFacilitator', this.$route.params.id)
            .then(() => {})
            .catch(err => console.log(err))
        }
      }
    }
  }
}
</script>
<style lang="scss">
.facilitator-profile {
  padding-bottom: 10rem;
  .profile-image {
    position: relative;
    width: 100%;
    top: -120px;
    margin-bottom: -120px;
    .image {
    }
  }
  .profile-left-side {
    border-right: 1px solid #333;
  }
  .banner {
    height: 160px;
    background-image: url('../../assets/img/banner-profile.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: bottom;
  }
}
</style>
